## org.apache.catalina.connector.warp
Class WarpLogger

    java.lang.Object
      org.apache.catalina.connector.warp.WarpLogger

public class WarpLogger
extends java.lang.Object

Constructor Summary
`WarpLogger(java.lang.Object source)` Construct a new instance of a `WarpConnector`.

Method Summary
`protected void` `debug(java.lang.Exception exception)` If Constants.DEBUG was set true at compilation time, dump an exception stack trace to Standard Error.
`protected void` `debug(java.lang.String message)` If Constants.DEBUG was set true at compilation time, dump a debug message to Standard Error.
`protected void` `debug(java.lang.String message, java.lang.Exception exception)` If Constants.DEBUG was set true at compilation time, dump a debug message and a related exception stack trace to Standard Error.
`Container` `getContainer()` Return the `Container` instance which will process all requests received by this `Connector`.
`protected void` `log(java.lang.Exception exception)` Log an exception.
`protected void` `log(java.lang.String message)` Log a message.
`protected void` `log(java.lang.String message, java.lang.Exception exception)` Log an exception and related message.
`void` `setContainer(Container container)` Set the `Container` instance which will process all requests received by this `Connector`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarpLogger

    public WarpLogger(java.lang.Object source)

  Construct a new instance of a `WarpConnector`.

Method Detail

### getContainer

    public Container getContainer()

  Return the `Container` instance which will process all requests received by this `Connector`.

### setContainer

    public void setContainer(Container container)

  Set the `Container` instance which will process all requests received by this `Connector`.

  Parameters:
    `container` - The new Container to use

### debug

    protected void debug(java.lang.String message)

  If Constants.DEBUG was set true at compilation time, dump a debug message to Standard Error.

  Parameters:
    `message` - The message to dump.

### debug

    protected void debug(java.lang.Exception exception)

  If Constants.DEBUG was set true at compilation time, dump an exception stack trace to Standard Error.

  Parameters:
    `exception` - The exception to dump.

### debug

    protected void debug(java.lang.String message,
                         java.lang.Exception exception)

  If Constants.DEBUG was set true at compilation time, dump a debug message and a related exception stack trace to Standard Error.

  Parameters:
    `exception` - The exception to dump.
    `message` - The message to dump.

### log

    protected void log(java.lang.String message)

  Log a message.

  Parameters:
    `message` - The message to log.

### log

    protected void log(java.lang.Exception exception)

  Log an exception.

  Parameters:
    `exception` - The exception to log.

### log

    protected void log(java.lang.String message,
                       java.lang.Exception exception)

  Log an exception and related message.

  Parameters:
    `exception` - The exception to log.
    `message` - The message to log.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.